Loading...
Searching...
No Matches
PointPartitioner.h File Reference

Spatially partitions points using a parallel radix-based sorting algorithm. More...

`#include <openvdb/Types.h>`
`#include <openvdb/math/Transform.h>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/task_arena.h>`
`#include <algorithm>`
`#include <cmath>`
`#include <deque>`
`#include <map>`
`#include <set>`
`#include <utility>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | PointPartitioner< PointIndexType, BucketLog2Dim >
class | PointPartitioner< PointIndexType, BucketLog2Dim >::IndexIterator

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::tools

## Typedefs

using | UInt32PointPartitioner = PointPartitioner< uint32_t, 3 >

## Detailed Description

Spatially partitions points using a parallel radix-based sorting algorithm.

Performs a stable deterministic sort; partitioning the same point sequence will produce the same result each time.

The algorithm is unbounded meaning that points may be distributed anywhere in index space.

The actual points are never stored in the tool, only offsets into an external array.

Author
  Mihai Alden